cdef cypclass Character:
    int health

    __init__(self, int health):
        self.health = health

    int update_health(self, int amount):
        if -amount > health:
            self.health = 0
        else:
            self.health += amount
        return self.health

cdef cypclass Player(Character):
    int score

    __init__(self, int health):
        self.health = health
        self.score = 0

    Player __iadd__(self, int bonus):
        self.score += bonus
        return self

    void dump(self) with gil:
        print("Player Character (health: %d, score: %d)" % (self.health,
            self.score))

def main():
    cdef Player p
    with nogil:
        p = Player(10)

        p += 2

        p.update_health(-1)

        p.dump()
