from setuptools import setup, Extension
from Cython.Build import build_ext
from glob import glob
# To compile, use
# python setup.py build --inplace
#

extensions = [
    Extension(pyx_file.replace(".pyx", ""),
              sources=[pyx_file],
              language="c++",
              )
    for pyx_file in sorted(glob("*.pyx"))
]

setup(
    name="c",
    author="Julien Jerphanion",
    author_email="git@jjerphan.xyz",
    version='1',
    cmdclass={'build_ext': build_ext},
    ext_modules=extensions,
    install_requires=[
        'setuptools>=18.0',
        'cython>=0.27.3',
        'numpy'
    ],
    classifiers=[
        "Intended Audience :: Science/Research",
        "Intended Audience :: Developers",
        "License :: OSI Approved",
        "Programming Language :: C",
        "Programming Language :: Python",
        "Topic :: Software Development",
        "Topic :: Scientific/Engineering",
        "Operating System :: POSIX",
        "Operating System :: Unix",
        "Operating System :: MacOS",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: " "Implementation :: CPython",
    ],
    python_requires=">=3.6",
)
